#
# spec file for package ghc-nvim-hs-ghcid
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name nvim-hs-ghcid
Name:           ghc-%{pkg_name}
Version:        0.2.0
Release:        lp150.8.1
Summary:        Neovim plugin that runs ghcid to update the quickfix list
License:        Apache-2.0
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghcid-devel
BuildRequires:  ghc-nvim-hs-contrib-devel
BuildRequires:  ghc-nvim-hs-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-yaml-devel

%description
This plugin uses the nvim-hs plugin backend for neovim and fills the quickfix
list on file-saves with the errors and warnings that ghcid determines.

The only limitation for this tool is that it needs a .cabal file to work.

This plugin provides 3 commands:

':GhcidStart' will prompt you for the configuration you want to use.
It should guess a reasonable option based on the files present in your project
directory and so you will just have to press enter all the time. If you provide
a bang, these questions will not be asked.

':GhcidStop' stops the current ghcid process.

':GhcidRestart' combines the two previous commands.

Simply import the 'plugin' definition from "Neovim.Ghcid" and add it to your
plugin list.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.2.0.
